import { BaseView, IBaseViewOptions } from "../../BaseView.js";
import GroupModel from "../../../Models/GroupModel.js";
import HeaderView from "./HeaderView.js";
import ContentView from "./ContentView.js";
import FooterView from "./FooterView.js";
import { InputView } from "./InputView.js";
export interface IGridViewOptions extends IBaseViewOptions {
    source: GroupModel;
}
export default class GridView extends BaseView {
    private m_header;
    private m_content;
    private m_footer;
    constructor(options: IGridViewOptions);
    get content(): ContentView;
    protected get source(): GroupModel;
    get header(): HeaderView;
    get footer(): FooterView;
    template(): string | Array<string> | JQuery;
    forEachInput(callback: (input: InputView) => void): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
}
